*Bacheloroppgave 2020
*Laster inn datasettet data2901-Norway fra blackboard
use "/Users/Ellen/Downloads/data2901-Norway (10).dta"
*Genererer dummyvariabler
gen incomehigh=0 if income!=.
replace incomehigh=1 if income>2
gen few_bookshome=0 if books_home!=.
replace few_bookshome=1 if books_home<3
gen par_edulow=0 if par_edu!=.
replace par_edulow=1 if par_edu>2

*Kjører sum for å finne deskriptiv statistikk for variablene
sum read
sum kinderg_att
sum par_edulow incomehigh few_bookshome teacher_cert clsize par_not_born not_born girl

*Lager histogram i stata
histogram read
histogram read if kinderg_att==0
histogram read if kinderg_att==1

*Kjører corr for å få opp en korrelasjonsmatrise over variablene
corr read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize par_not_born not_born girl

reg read kinderg_att//kjører regresjon med bare interessevariabel
eststo: reg read kinderg_att//lagrer for estout
esttab using likning1.rtf, r2 se nostar replace//lager fin tabell i word

reg read kinderg_att par_edulow incomehigh few_bookshome//Kjører regresjon for likning 2
eststo:  reg read kinderg_att par_edulow incomehigh few_bookshome//lagrer for estout
esttab using likning2.rtf, r2 se nostar replace//lager en fin tabell i word

reg read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize//kjører regresjon
eststo: reg read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize//lagrer for estout
esttab using likning3.rtf, r2 se nostar replace//lager fin tabell i word

reg  read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize par_not_born not_born girl//kjører regresjon
eststo:  reg  read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize par_not_born not_born girl//lagrer for estout
esttab using likning4.rtf, r2 se nostar replace//lager fin tabell i word

*Genererer samspillvariabler
gen par_not_born_kinderg_att = par_not_born*kinderg_att
gen not_born_kinderg_att=not_born*kinderg_att
reg read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize par_not_born not_born girl par_not_born_kinderg_att not_born_kinderg_att//kjører regresjon på likning 5
eststo:reg read kinderg_att par_edulow incomehigh few_bookshome teacher_cert clsize par_not_born not_born girl par_not_born_kinderg_att not_born_kinderg_att//lagrer for estout
esttab using likning5.rtf,r2 se nostar replace//lager fin tabell i word

*Kjører hypotesetest
test par_not_born_kinderg_att not_born_kinderg_att
save "/Users/Ellen/Desktop/Norge-bachelor.dta"
